Download it now!
Bug 47107 - FILEOPEN RTF import ignores the \pn destination (Word 6.0/95)
Summary: FILEOPEN RTF import ignores the \pn destination (Word 6.0/95)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.1 RC1
Hardware: Other All
: medium minor
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.6.0 target:3.5.3
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2012-03-08 09:10 UTC by Urmas
Modified: 2015-12-17 12:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
RTF document with lists (2.39 KB, application/msword)
2012-03-08 09:10 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2012-03-08 09:10:57 UTC
Created attachment 58203 [details]
RTF document with lists

This types of lists are not recognized by the importer.
Comment 1 s-joyemusequna 2012-03-08 11:02:15 UTC
Works fine with Word 2007 and OpenOffice.org 3.1 (sorry, no never version installed). Tested With Windows XP / Vista 64.

LibO 3.3.4, LibO 3.4.5 : bullets and numbering OK, but wrong left margin 

LibO 3.5.1 Beta1 : no bullets and numbering at all

This is a regression (compared with OOo 3.1, but also with LibO 3.3 and 3.4)
Comment 2 Miklos Vajna 2012-03-30 12:07:48 UTC
Confirmed, implementation of this is indeed missing at the moment.
Comment 3 Not Assigned 2012-04-03 06:29:44 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eeafdc5602e422d2cdf2026c135e5ea3e18e89af

fdo#47107 rtftok: initial PN (legacy numbering syntax) support
Comment 4 Not Assigned 2012-04-03 06:30:08 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea04bbd697ad984cc4e39ed42994a072f052ba36

fdo#47107 rtftok: support bullet points in paragraph numberings
Comment 5 Not Assigned 2012-04-03 06:30:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63b78e6db15a76b9e928cb4a7d0d995bd12f9bf4

testcase for fdo#47107
Comment 6 Miklos Vajna 2012-04-03 06:32:01 UTC
Fixed in master, will ask for cherry-picking to -3-5 as well after giving it a bit more testing.
Comment 7 Not Assigned 2012-04-11 05:31:19 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7e0c3e1d0fc155402d0d8f3ddbd12077005e5dd&g=libreoffice-3-5

fdo#47107 rtftok: initial PN (legacy numbering syntax) support


It will be available in LibreOffice 3.5.3.
Comment 8 Not Assigned 2012-04-11 05:31:43 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=586d6a57564c4c75c6464ec91c6f676aa66b0638&g=libreoffice-3-5

fdo#47107 rtftok: support bullet points in paragraph numberings


It will be available in LibreOffice 3.5.3.
Comment 9 Robinson Tryon (qubit) 2015-12-17 12:04:45 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf)
Replace rtf_filter -> filter:rtf.
[NinjaEdit]